### Signal

# Gdk.Seat::tool-removed

#### Declaration

    void
    tool_removed (
      GdkSeat self,
      GdkDeviceTool* tool,
      gpointer user_data
    )

#### Description [src]

Emitted whenever a tool is no longer known to this `seat`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`

#### Parameters

`tool` | `GdkDeviceTool`
| the just removed `GdkDeviceTool`
| Ownership is not transferred to the callee